OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_TextStyleWithBoxCharacteristics Class Reference

`#include <StepVisual_TextStyleWithBoxCharacteristics.hxx>`

Inheritance diagram for StepVisual_TextStyleWithBoxCharacteristics:

[legend]

## Public Member Functions
Standard_EXPORT | StepVisual_TextStyleWithBoxCharacteristics ()
| Returns a TextStyleWithBoxCharacteristics .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepVisual_TextStyleForDefinedFont)&aCharacterAppearance)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepVisual_TextStyleForDefinedFont)&aCharacterAppearance, const Handle(StepVisual_HArray1OfBoxCharacteristicSelect)&aCharacteristics)
Standard_EXPORT void | SetCharacteristics (const Handle(StepVisual_HArray1OfBoxCharacteristicSelect)&aCharacteristics)
Standard_EXPORT Handle_StepVisual_HArray1OfBoxCharacteristicSelect | Characteristics () const
Standard_EXPORT StepVisual_BoxCharacteristicSelect | CharacteristicsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbCharacteristics () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepVisual_HArray1OfBoxCharacteristicSelect | characteristics

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_TextStyleWithBoxCharacteristics::StepVisual_TextStyleWithBoxCharacteristics | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepVisual_HArray1OfBoxCharacteristicSelect StepVisual_TextStyleWithBoxCharacteristics::Characteristics | ( |  | ) | const

Standard_EXPORT StepVisual_BoxCharacteristicSelect StepVisual_TextStyleWithBoxCharacteristics::CharacteristicsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT const StepVisual_TextStyleWithBoxCharacteristics::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepVisual_TextStyle.

virtual Standard_EXPORT void StepVisual_TextStyleWithBoxCharacteristics::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepVisual_TextStyleForDefinedFont)& | aCharacterAppearance,
|  | const Handle(StepVisual_HArray1OfBoxCharacteristicSelect)& | aCharacteristics
| ) | `[virtual]`

virtual Standard_EXPORT void StepVisual_TextStyleWithBoxCharacteristics::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepVisual_TextStyleForDefinedFont)& | aCharacterAppearance
| ) | `[virtual]`

| Reimplemented from StepVisual_TextStyle.

Standard_EXPORT Standard_Integer StepVisual_TextStyleWithBoxCharacteristics::NbCharacteristics | ( |  | ) | const

Standard_EXPORT void StepVisual_TextStyleWithBoxCharacteristics::SetCharacteristics | ( | const Handle(StepVisual_HArray1OfBoxCharacteristicSelect)& | aCharacteristics | ) |

## Field Documentation

Handle_StepVisual_HArray1OfBoxCharacteristicSelect StepVisual_TextStyleWithBoxCharacteristics::characteristics`[private]`

The documentation for this class was generated from the following file:

- StepVisual_TextStyleWithBoxCharacteristics.hxx